# eoSeqPopulator< EOT > Class Template Reference

SeqPopulator: an eoPopulator that sequentially goes through the population is supposed to be used after a batch select of a whole bunch or genitors. More...

`#include <eoPopulator.h>`

Inheritance diagram for eoSeqPopulator< EOT >:

List of all members.

## Public Member Functions

| eoSeqPopulator (const eoPop< EOT > &_pop, eoPop< EOT > &_dest)
const EOT & | select (void)
| the select method simply returns next individual in the src pop

## Private Attributes

unsigned | current

## Detailed Description

### template<class EOT>
class eoSeqPopulator< EOT >

SeqPopulator: an eoPopulator that sequentially goes through the population is supposed to be used after a batch select of a whole bunch or genitors.

Definition at line 152 of file eoPopulator.h.

The documentation for this class was generated from the following file:

- eoPopulator.h